{
    attributes = (
        {
            columnName = "C_DISC_SECOND_DEGRE"; 
            externalType = VARCHAR2; 
            name = code; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 5; 
        }, 
        {
            columnName = "C_DISC_SECOND_DEGRE_BCN"; 
            externalType = VARCHAR2; 
            name = codeBcn; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 5; 
        }, 
        {
            allowsNull = Y; 
            columnName = "LC_DISC_SECOND_DEGRE"; 
            externalType = VARCHAR2; 
            name = libelleCourt; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            allowsNull = Y; 
            columnName = "LL_DISC_SECOND_DEGRE"; 
            externalType = VARCHAR2; 
            name = libelleLong; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 40; 
        }
    ); 
    attributesUsedForLocking = (code, codeBcn, libelleCourt, libelleLong); 
    className = "org.cocktail.mangue.common.modele.nomenclatures.specialisations.EODiscSecondDegre"; 
    classProperties = (code, codeBcn, libelleCourt, libelleLong); 
    externalName = "GRHUM.DISC_SECOND_DEGRE"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {"_clientClassPropertyNames" = (code, codeBcn, libelleCourt, libelleLong); }; 
    name = DiscSecondDegre; 
    primaryKeyAttributes = (code); 
}
